NodeRings Docs

Get Addon

Get a specific addon with its prices

GET
/v1/addons/{id}
Authorization<token>

Bearer token

In: header

X-Organization-ID<token>

Tenant or organization identifier

In: header

Path Parameters

idstring

Response Body

application/json

curl -X GET "https://api.nrings.io/v1/addons/{id}" \  -H "Authorization: Bearer {your_token}" \  -H "X-Organization-ID: {your_org_id}"
{
  "addon": {
    "id": "string",
    "code": "string",
    "name": "string",
    "description": "string",
    "addonType": "ADDON_TYPE_UNSPECIFIED",
    "addonCategory": "ASSET_CATEGORY_UNSPECIFIED",
    "isTemplate": true,
    "isPublic": true,
    "requiresApproval": true,
    "autoAttach": true,
    "compatiblePlanCodes": [
      "string"
    ],
    "compatibleAssetTypes": [
      "string"
    ],
    "tenantId": "string",
    "externalId": "string",
    "metadata": {},
    "status": "STATUS_UNSPECIFIED",
    "timestamps": {
      "createTime": "2019-08-24T14:15:22Z",
      "updateTime": "2019-08-24T14:15:22Z"
    },
    "addonPrices": [
      {
        "id": "string",
        "addonId": "string",
        "kind": "ADDON_PRICE_KIND_UNSPECIFIED",
        "currency": "string",
        "unitAmount": "string",
        "unitName": "string",
        "billingPeriod": "BILLING_PERIOD_UNSPECIFIED",
        "billingInterval": 0,
        "metricName": "string",
        "metricAggregation": "METRIC_AGGREGATION_UNSPECIFIED",
        "minQuantity": 0,
        "maxQuantity": 0,
        "prorate": true,
        "minimumCharge": "string",
        "maximumCharge": "string",
        "pricingFormula": {},
        "pricingModel": "PRICING_MODEL_UNSPECIFIED",
        "chargeTiming": "CHARGE_TIMING_UNSPECIFIED",
        "effectiveFrom": "2019-08-24T14:15:22Z",
        "effectiveUntil": "2019-08-24T14:15:22Z",
        "externalId": "string",
        "metadata": {},
        "status": "STATUS_UNSPECIFIED",
        "timestamps": {
          "createTime": "2019-08-24T14:15:22Z",
          "updateTime": "2019-08-24T14:15:22Z"
        }
      }
    ]
  },
  "addonPrices": [
    {
      "id": "string",
      "addonId": "string",
      "kind": "ADDON_PRICE_KIND_UNSPECIFIED",
      "currency": "string",
      "unitAmount": "string",
      "unitName": "string",
      "billingPeriod": "BILLING_PERIOD_UNSPECIFIED",
      "billingInterval": 0,
      "metricName": "string",
      "metricAggregation": "METRIC_AGGREGATION_UNSPECIFIED",
      "minQuantity": 0,
      "maxQuantity": 0,
      "prorate": true,
      "minimumCharge": "string",
      "maximumCharge": "string",
      "pricingFormula": {},
      "pricingModel": "PRICING_MODEL_UNSPECIFIED",
      "chargeTiming": "CHARGE_TIMING_UNSPECIFIED",
      "effectiveFrom": "2019-08-24T14:15:22Z",
      "effectiveUntil": "2019-08-24T14:15:22Z",
      "externalId": "string",
      "metadata": {},
      "status": "STATUS_UNSPECIFIED",
      "timestamps": {
        "createTime": "2019-08-24T14:15:22Z",
        "updateTime": "2019-08-24T14:15:22Z"
      }
    }
  ]
}